diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/test/three-gpp-channel-test-suite.cc ns-3.44/src/spectrum/test/three-gpp-channel-test-suite.cc
--- ns-3.43/src/spectrum/test/three-gpp-channel-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/test/three-gpp-channel-test-suite.cc	2025-03-09 16:55:49.699372300 -0700
@@ -34,7 +34,7 @@
 NS_LOG_COMPONENT_DEFINE("ThreeGppChannelTestSuite");
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test case for the ThreeGppChannelModel class.
  * 1) check if the channel matrix has the correct dimensions
@@ -45,12 +45,12 @@
   public:
     /**
      *Constructor
-     * \param txAntennaElements the number of rows and columns of the antenna array of the
+     * @param txAntennaElements the number of rows and columns of the antenna array of the
      * transmitter
-     * \param rxAntennaElements the number of rows and columns of the antenna array of
-     * \param txPorts the number of vertical and horizontal ports of the antenna array
+     * @param rxAntennaElements the number of rows and columns of the antenna array of
+     * @param txPorts the number of vertical and horizontal ports of the antenna array
      * of the transmitter
-     * \param rxPorts the number of vertical and horizontal ports of the antenna
+     * @param rxPorts the number of vertical and horizontal ports of the antenna
      * array of the receiver
      */
     ThreeGppChannelMatrixComputationTest(uint32_t txAntennaElements = 2,
@@ -71,11 +71,11 @@
 
     /**
      * Compute the Frobenius norm of the channel matrix and stores it in m_normVector
-     * \param channelModel the ThreeGppChannelModel object used to generate the channel matrix
-     * \param txMob the mobility model of the first node
-     * \param rxMob the mobility model of the second node
-     * \param txAntenna the antenna object associated to the first node
-     * \param rxAntenna the antenna object associated to the second node
+     * @param channelModel the ThreeGppChannelModel object used to generate the channel matrix
+     * @param txMob the mobility model of the first node
+     * @param rxMob the mobility model of the second node
+     * @param txAntenna the antenna object associated to the first node
+     * @param rxAntenna the antenna object associated to the second node
      */
     void DoComputeNorm(Ptr<ThreeGppChannelModel> channelModel,
                        Ptr<MobilityModel> txMob,
@@ -272,7 +272,7 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test case for the ThreeGppChannelModel class.
  * It checks if the channel realizations are correctly updated during the
@@ -283,12 +283,12 @@
   public:
     /**
      *Constructor
-     * \param txAntennaElements the number of rows and columns of the antenna array of the
+     * @param txAntennaElements the number of rows and columns of the antenna array of the
      * transmitter
-     * \param rxAntennaElements the number of rows and columns of the antenna array of
-     * \param txPorts the number of vertical and horizontal ports of the antenna array
+     * @param rxAntennaElements the number of rows and columns of the antenna array of
+     * @param txPorts the number of vertical and horizontal ports of the antenna array
      * of the transmitter
-     * \param rxPorts the number of vertical and horizontal ports of the antenna
+     * @param rxPorts the number of vertical and horizontal ports of the antenna
      * array of the receiver
      */
     ThreeGppChannelMatrixUpdateTest(uint32_t txAntennaElements = 2,
@@ -310,12 +310,12 @@
     /**
      * This method is used to schedule the channel matrix computation at different
      * time instants and to check if it correctly updated
-     * \param channelModel the ThreeGppChannelModel object used to generate the channel matrix
-     * \param txMob the mobility model of the first node
-     * \param rxMob the mobility model of the second node
-     * \param txAntenna the antenna object associated to the first node
-     * \param rxAntenna the antenna object associated to the second node
-     * \param update whether if the channel matrix should be updated or not
+     * @param channelModel the ThreeGppChannelModel object used to generate the channel matrix
+     * @param txMob the mobility model of the first node
+     * @param rxMob the mobility model of the second node
+     * @param txAntenna the antenna object associated to the first node
+     * @param rxAntenna the antenna object associated to the second node
+     * @param update whether if the channel matrix should be updated or not
      */
     void DoGetChannel(Ptr<ThreeGppChannelModel> channelModel,
                       Ptr<MobilityModel> txMob,
@@ -486,7 +486,7 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test case for the ThreeGppChannelModel class.
  * It checks if the channel realizations are correctly
@@ -514,12 +514,12 @@
     /**
      * This method is used to schedule the channel matrix computation at different
      * time instants and to check if it correctly updated
-     * \param channelModel the ThreeGppChannelModel object used to generate the channel matrix
-     * \param txMob the mobility model of the first node
-     * \param rxMob the mobility model of the second node
-     * \param txAntenna the antenna object associated to the first node
-     * \param rxAntenna the antenna object associated to the second node
-     * \param update whether if the channel matrix should be updated or not
+     * @param channelModel the ThreeGppChannelModel object used to generate the channel matrix
+     * @param txMob the mobility model of the first node
+     * @param rxMob the mobility model of the second node
+     * @param txAntenna the antenna object associated to the first node
+     * @param rxAntenna the antenna object associated to the second node
+     * @param update whether if the channel matrix should be updated or not
      */
     void DoGetChannel(Ptr<ThreeGppChannelModel> channelModel,
                       Ptr<MobilityModel> txMob,
@@ -714,8 +714,8 @@
 }
 
 /**
- * \ingroup spectrum-tests
- * \brief A structure that holds the parameters for the function
+ * @ingroup spectrum-tests
+ * @brief A structure that holds the parameters for the function
  * CheckLongTermUpdate. In this way the problem with the limited
  * number of parameters of method Schedule is avoided.
  */
@@ -732,7 +732,7 @@
 };
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test case for the ThreeGppSpectrumPropagationLossModelTest class.
  * 1) checks if the long term components for the direct and the reverse link
@@ -746,13 +746,13 @@
   public:
     /**
      * Constructor
-     * \param txAntennaElements the number of rows and columns of the antenna array of the
+     * @param txAntennaElements the number of rows and columns of the antenna array of the
      * transmitter
-     * \param rxAntennaElements the number of rows and columns of the antenna array of
+     * @param rxAntennaElements the number of rows and columns of the antenna array of
      * the receiver
-     * \param txPorts the number of vertical and horizontal ports of the antenna array
+     * @param txPorts the number of vertical and horizontal ports of the antenna array
      * of the transmitter
-     * \param rxPorts the number of vertical and horizontal ports of the antenna
+     * @param rxPorts the number of vertical and horizontal ports of the antenna
      * array of the receiver
      */
     ThreeGppSpectrumPropagationLossModelTest(uint32_t txAntennaElements = 4,
@@ -772,10 +772,10 @@
 
     /**
      * Points the beam of thisDevice towards otherDevice
-     * \param thisDevice the device to configure
-     * \param thisAntenna the antenna object associated to thisDevice
-     * \param otherDevice the device to communicate with
-     * \param otherAntenna the antenna object associated to otherDevice
+     * @param thisDevice the device to configure
+     * @param thisAntenna the antenna object associated to thisDevice
+     * @param otherDevice the device to communicate with
+     * @param otherAntenna the antenna object associated to otherDevice
      */
     void DoBeamforming(Ptr<NetDevice> thisDevice,
                        Ptr<PhasedArrayModel> thisAntenna,
@@ -785,7 +785,7 @@
     /**
      * Test of the long term component is correctly updated when the channel
      * matrix is recomputed
-     * \param params a structure that contains the set of parameters needed by CheckLongTermUpdate
+     * @param params a structure that contains the set of parameters needed by CheckLongTermUpdate
      * in order to perform calculations
      */
     void CheckLongTermUpdate(const CheckLongTermUpdateParams& params);
@@ -934,9 +934,29 @@
     // 1) check that the rx PSD is equal for both the direct and the reverse channel
     auto rxParamsNew =
         lossModel->DoCalcRxPowerSpectralDensity(txParams, rxMob, txMob, rxAntenna, txAntenna);
-    NS_TEST_ASSERT_MSG_EQ((*rxParamsOld->psd == *rxParamsNew->psd),
-                          true,
-                          "The long term for the direct and the reverse channel are different");
+    if ((rxParamsOld->spectrumChannelMatrix->GetNumCols() ==
+         rxParamsNew->spectrumChannelMatrix->GetNumCols()) &&
+        (rxParamsOld->spectrumChannelMatrix->GetNumRows() ==
+         rxParamsNew->spectrumChannelMatrix->GetNumRows()) &&
+        (rxParamsOld->spectrumChannelMatrix->GetNumCols() == 1) &&
+        (rxParamsOld->spectrumChannelMatrix->GetNumRows() == 1))
+    {
+        // this is only really true in case of SISO (1x1 non-polarized port array)
+        const auto& oldValues = rxParamsOld->psd->GetValues();
+        const auto& newValues = rxParamsNew->psd->GetValues();
+
+        NS_TEST_ASSERT_MSG_EQ(oldValues.size(),
+                              newValues.size(),
+                              "The long term for the direct and the reverse channel are different");
+        for (size_t i = 0; i < oldValues.size(); i++)
+        {
+            NS_TEST_ASSERT_MSG_EQ_TOL(
+                oldValues.at(i),
+                newValues.at(i),
+                1e-9,
+                "The long term for the direct and the reverse channel are different");
+        }
+    }
 
     // 2) check if the long term is updated when changing the BF vector
     // change the position of the rx device and recompute the beamforming vectors
@@ -972,7 +992,7 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test case that test the correct use of the multi-port antennas in spectrum.
  * The test does the following:
@@ -1203,9 +1223,9 @@
     /**
      * Constructor
      * Currently only configurable through constructor are polSlantAngle and bearingAngle.
-     * \param isotropic whether the antenna elements are isotropic, or 3GPP
-     * \param polSlantAngle the polarization slant angle
-     * \param bearingAngle the bearing angle
+     * @param isotropic whether the antenna elements are isotropic, or 3GPP
+     * @param polSlantAngle the polarization slant angle
+     * @param bearingAngle the bearing angle
      */
     MimoPolarizationAntennaParams(bool isotropic, double polSlantAngle = 0, double bearingAngle = 0)
         : m_isotropic(isotropic),
@@ -1216,7 +1236,7 @@
 };
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  * This test tests that the channel matrix is correctly generated when dual-polarized
  * antennas are being used at TX and RX. In the conditions in which the channel between
  * the TX and Rx device is LOS channel, and the beams of the transmitter and the
@@ -1249,13 +1269,13 @@
     /**
      * Constructor that receives MIMO polarization parameters of TX and RX
      * devices
-     * \param testCaseName the test case name
-     * \param txLoc the position of the transmitter
-     * \param txAntennaParams the antenna parameters of the transmitter
-     * \param rxLoc the position of the receiver
-     * \param rxAntennaParams the antenna parameters of the receiver
-     * \param testChannel the test matrix that represent the strongest cluster
-     * \param tolerance the tolerance to be used when testing
+     * @param testCaseName the test case name
+     * @param txLoc the position of the transmitter
+     * @param txAntennaParams the antenna parameters of the transmitter
+     * @param rxLoc the position of the receiver
+     * @param rxAntennaParams the antenna parameters of the receiver
+     * @param testChannel the test matrix that represent the strongest cluster
+     * @param tolerance the tolerance to be used when testing
      */
     ThreeGppMimoPolarizationTest(std::string testCaseName,
                                  Vector txLoc,
@@ -1431,7 +1451,7 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test suite for the ThreeGppChannelModel class
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/test/tv-helper-distribution-test.cc ns-3.44/src/spectrum/test/tv-helper-distribution-test.cc
--- ns-3.43/src/spectrum/test/tv-helper-distribution-test.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/test/tv-helper-distribution-test.cc	2025-03-09 16:55:49.699372300 -0700
@@ -6,16 +6,16 @@
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
 
-#include <ns3/log.h>
-#include <ns3/test.h>
-#include <ns3/tv-spectrum-transmitter-helper.h>
+#include "ns3/log.h"
+#include "ns3/test.h"
+#include "ns3/tv-spectrum-transmitter-helper.h"
 
 NS_LOG_COMPONENT_DEFINE("TvHelperDistributionTest");
 
 using namespace ns3;
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * This test verifies the accuracy of the private GetRandomNumTransmitters()
  * method in the TvSpectrumTransmitterHelper class. The method generates a
@@ -40,7 +40,7 @@
     /**
      * Constructor
      *
-     * \param maxNumTransmitters maximum number of transmitters.
+     * @param maxNumTransmitters maximum number of transmitters.
      */
     TvHelperDistributionTestCase(uint32_t maxNumTransmitters);
     ~TvHelperDistributionTestCase() override;
@@ -49,8 +49,8 @@
     void DoRun() override;
     /**
      * Build the test name
-     * \param maxNumTransmitters maximum number of transmitters.
-     * \return The test name
+     * @param maxNumTransmitters maximum number of transmitters.
+     * @return The test name
      */
     static std::string Name(uint32_t maxNumTransmitters);
     uint32_t m_maxNumTransmitters; //!< Maximum number of transmitters.
@@ -122,7 +122,7 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test suite for the TvSpectrumTransmitterHelper class
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/test/tv-spectrum-transmitter-test.cc ns-3.44/src/spectrum/test/tv-spectrum-transmitter-test.cc
--- ns-3.43/src/spectrum/test/tv-spectrum-transmitter-test.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/test/tv-spectrum-transmitter-test.cc	2025-03-09 16:55:49.699372300 -0700
@@ -6,12 +6,12 @@
  * Author: Benjamin Cizdziel <ben.cizdziel@gmail.com>
  */
 
-#include <ns3/double.h>
-#include <ns3/enum.h>
-#include <ns3/log.h>
-#include <ns3/spectrum-value.h>
-#include <ns3/test.h>
-#include <ns3/tv-spectrum-transmitter.h>
+#include "ns3/double.h"
+#include "ns3/enum.h"
+#include "ns3/log.h"
+#include "ns3/spectrum-value.h"
+#include "ns3/test.h"
+#include "ns3/tv-spectrum-transmitter.h"
 
 NS_LOG_COMPONENT_DEFINE("TvSpectrumTransmitterTest");
 
@@ -23,7 +23,7 @@
 double epsilon;
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * This test verifies the accuracy of the spectrum/PSD model in the
  * TvSpectrumTransmitter class. To do so, it tests if the max power spectral
@@ -36,10 +36,10 @@
   public:
     /**
      * Constructor
-     * \param startFrequency Start frequency.
-     * \param channelBandwidth Channel Bandwidth.
-     * \param basePsd Base Power Spectral Density (PSD).
-     * \param tvType TV type.
+     * @param startFrequency Start frequency.
+     * @param channelBandwidth Channel Bandwidth.
+     * @param basePsd Base Power Spectral Density (PSD).
+     * @param tvType TV type.
      */
     TvSpectrumTransmitterTestCase(double startFrequency,
                                   double channelBandwidth,
@@ -51,11 +51,11 @@
     void DoRun() override;
     /**
      * Build the test name
-     * \param tvType TV type.
-     * \param startFrequency Start frequency.
-     * \param channelBandwidth Channel Bandwidth.
-     * \param basePsd Base Power Spectral Density (PSD).
-     * \return The test name
+     * @param tvType TV type.
+     * @param startFrequency Start frequency.
+     * @param channelBandwidth Channel Bandwidth.
+     * @param basePsd Base Power Spectral Density (PSD).
+     * @return The test name
      */
     static std::string Name(TvSpectrumTransmitter::TvType tvType,
                             double startFrequency,
@@ -159,7 +159,7 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test suite for the TvSpectrumTransmitter class
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/spectrum/test/two-ray-splm-test-suite.cc ns-3.44/src/spectrum/test/two-ray-splm-test-suite.cc
--- ns-3.43/src/spectrum/test/two-ray-splm-test-suite.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/spectrum/test/two-ray-splm-test-suite.cc	2025-03-09 16:55:49.699372300 -0700
@@ -4,24 +4,24 @@
  * SPDX-License-Identifier: GPL-2.0-only
  */
 
-#include <ns3/abort.h>
-#include <ns3/config.h>
-#include <ns3/constant-position-mobility-model.h>
-#include <ns3/double.h>
-#include <ns3/isotropic-antenna-model.h>
-#include <ns3/log.h>
-#include <ns3/mobility-helper.h>
-#include <ns3/node-container.h>
-#include <ns3/pointer.h>
-#include <ns3/simulator.h>
-#include <ns3/string.h>
-#include <ns3/test.h>
-#include <ns3/three-gpp-antenna-model.h>
-#include <ns3/three-gpp-channel-model.h>
-#include <ns3/three-gpp-spectrum-propagation-loss-model.h>
-#include <ns3/two-ray-spectrum-propagation-loss-model.h>
-#include <ns3/uinteger.h>
-#include <ns3/uniform-planar-array.h>
+#include "ns3/abort.h"
+#include "ns3/config.h"
+#include "ns3/constant-position-mobility-model.h"
+#include "ns3/double.h"
+#include "ns3/isotropic-antenna-model.h"
+#include "ns3/log.h"
+#include "ns3/mobility-helper.h"
+#include "ns3/node-container.h"
+#include "ns3/pointer.h"
+#include "ns3/simulator.h"
+#include "ns3/string.h"
+#include "ns3/test.h"
+#include "ns3/three-gpp-antenna-model.h"
+#include "ns3/three-gpp-channel-model.h"
+#include "ns3/three-gpp-spectrum-propagation-loss-model.h"
+#include "ns3/two-ray-spectrum-propagation-loss-model.h"
+#include "ns3/uinteger.h"
+#include "ns3/uniform-planar-array.h"
 
 #include <array>
 
@@ -30,7 +30,7 @@
 NS_LOG_COMPONENT_DEFINE("TwoRaySplmTestSuite");
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test case for the TwoRaySpectrumPropagationLossModel class.
  *
@@ -58,8 +58,8 @@
 
     /**
      * Compute the average of the FTR squared norm.
-     * \param [in] ftrParams The FTR parameters.
-     * \returns The average of \c N_MEASUREMENTS FTR samples.
+     * @param [in] ftrParams The FTR parameters.
+     * @returns The average of \c N_MEASUREMENTS FTR samples.
      */
     double FtrSquaredNormAverage(
         const TwoRaySpectrumPropagationLossModel::FtrParams& ftrParams) const;
@@ -78,9 +78,9 @@
      * Two-Ray Fading Model for mmWave Communications," 2016 IEEE Globecom Workshops (GC Wkshps) for
      * further details.
      *
-     * \param [in] sigma The sigma parameter of the FTR model.
-     * \param [in] k The k parameter of the FTR model.
-     * \returns The expected mean.
+     * @param [in] sigma The sigma parameter of the FTR model.
+     * @param [in] k The k parameter of the FTR model.
+     * @returns The expected mean.
      */
     constexpr double FtrSquaredNormExpectedMean(double sigma, double k) const;
 
@@ -177,7 +177,7 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test case for the TwoRaySpectrumPropagationLossModel class.
  *
@@ -189,15 +189,15 @@
   public:
     /**
      * The constructor of the test case
-     * \param txAntElem the antenna element of the TX antenna panel
-     * \param rxAntElem the antenna element of the RX antenna panel
-     * \param txNumAntennas the number of antenna elements of the TX antenna panel
-     * \param rxNumAntennas the number of antenna elements of the RX antenna panel
-     * \param txPosVec the position of the TX
-     * \param rxPosVec the position of the RX
-     * \param txBearing the bearing angle of the TX antenna panel
-     * \param rxBearing the bearing angle of the RX antenna panel
-     * \param expectedGain the theoretically expected gain for the above parameters
+     * @param txAntElem the antenna element of the TX antenna panel
+     * @param rxAntElem the antenna element of the RX antenna panel
+     * @param txNumAntennas the number of antenna elements of the TX antenna panel
+     * @param rxNumAntennas the number of antenna elements of the RX antenna panel
+     * @param txPosVec the position of the TX
+     * @param rxPosVec the position of the RX
+     * @param txBearing the bearing angle of the TX antenna panel
+     * @param rxBearing the bearing angle of the RX antenna panel
+     * @param expectedGain the theoretically expected gain for the above parameters
      */
     ArrayResponseTest(Ptr<AntennaModel> txAntElem,
                       Ptr<AntennaModel> rxAntElem,
@@ -316,7 +316,7 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test case for the TwoRaySpectrumPropagationLossModel class.
  *
@@ -330,12 +330,12 @@
   public:
     /**
      * The constructor of the test case
-     * \param txAntElem the antenna element of the TX antenna panel
-     * \param rxAntElem the antenna element of the RX antenna panel
-     * \param txNumAntennas the number of antenna elements of the TX antenna panel
-     * \param rxNumAntennas the number of antenna elements of the RX antenna panel
-     * \param fc the carrier frequency
-     * \param threeGppScenario the 3GPP scenario
+     * @param txAntElem the antenna element of the TX antenna panel
+     * @param rxAntElem the antenna element of the RX antenna panel
+     * @param txNumAntennas the number of antenna elements of the TX antenna panel
+     * @param rxNumAntennas the number of antenna elements of the RX antenna panel
+     * @param fc the carrier frequency
+     * @param threeGppScenario the 3GPP scenario
      */
     OverallGainAverageTest(Ptr<AntennaModel> txAntElem,
                            Ptr<AntennaModel> rxAntElem,
@@ -347,8 +347,8 @@
     /**
      * Computes the overall power of a PSD
      *
-     * \param psd the PSD
-     * \returns the overall power of the PSD, obtained as the integral of the
+     * @param psd the PSD
+     * @returns the overall power of the PSD, obtained as the integral of the
      *          sub-bands power over the PSD domain
      */
     double ComputePowerSpectralDensityOverallPower(Ptr<const SpectrumValue> psd);
@@ -357,8 +357,8 @@
      * Creates a PSD centered at fc, of bandwidth bw and sub-bands of
      * width rbWidth
      *
-     * \param fc the central frequency of the PSD
-     * \returns a PSD centered at fc, of bandwidth bw and sub-bands of
+     * @param fc the central frequency of the PSD
+     * @returns a PSD centered at fc, of bandwidth bw and sub-bands of
      *          width rbWidths
      */
     Ptr<SpectrumValue> CreateTxPowerSpectralDensity(double fc);
@@ -572,7 +572,7 @@
 }
 
 /**
- * \ingroup spectrum-tests
+ * @ingroup spectrum-tests
  *
  * Test suite for the TwoRaySpectrumPropagationLossModel class
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/examples/double-probe-example.cc ns-3.44/src/stats/examples/double-probe-example.cc
--- ns-3.43/src/stats/examples/double-probe-example.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/examples/double-probe-example.cc	2025-03-09 16:55:49.699372300 -0700
@@ -28,7 +28,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
     Emitter();
@@ -97,9 +97,9 @@
 /**
  * This is a function to test hooking a raw function to the trace source,
  *
- * \param context The trace context.
- * \param oldVal Old value.
- * \param newVal New value.
+ * @param context The trace context.
+ * @param oldVal Old value.
+ * @param newVal New value.
  */
 void
 NotifyViaTraceSource(std::string context, double oldVal, double newVal)
@@ -110,9 +110,9 @@
 /**
  * This is a function to test hooking it to the probe output
  *
- * \param context The trace context.
- * \param oldVal Old value.
- * \param newVal New value.
+ * @param context The trace context.
+ * @param oldVal Old value.
+ * @param newVal New value.
  */
 void
 NotifyViaProbe(std::string context, double oldVal, double newVal)
@@ -201,9 +201,9 @@
 
     // The Emitter object is not associated with an ns-3 node, so
     // it won't get started automatically, so we need to do this ourselves
-    Simulator::Schedule(Seconds(0.0), &Emitter::Initialize, emitter);
+    Simulator::Schedule(Seconds(0), &Emitter::Initialize, emitter);
 
-    Simulator::Stop(Seconds(100.0));
+    Simulator::Stop(Seconds(100));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/examples/file-helper-example.cc ns-3.44/src/stats/examples/file-helper-example.cc
--- ns-3.43/src/stats/examples/file-helper-example.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/examples/file-helper-example.cc	2025-03-09 16:55:49.699372300 -0700
@@ -32,7 +32,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
     Emitter();
@@ -118,9 +118,9 @@
 
     // The Emitter object is not associated with an ns-3 node, so
     // it won't get started automatically, so we need to do this ourselves
-    Simulator::Schedule(Seconds(0.0), &Emitter::Initialize, emitter);
+    Simulator::Schedule(Seconds(0), &Emitter::Initialize, emitter);
 
-    Simulator::Stop(Seconds(100.0));
+    Simulator::Stop(Seconds(100));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/examples/gnuplot-helper-example.cc ns-3.44/src/stats/examples/gnuplot-helper-example.cc
--- ns-3.43/src/stats/examples/gnuplot-helper-example.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/examples/gnuplot-helper-example.cc	2025-03-09 16:55:49.699372300 -0700
@@ -32,7 +32,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
     Emitter();
@@ -126,9 +126,9 @@
 
     // The Emitter object is not associated with an ns-3 node, so
     // it won't get started automatically, so we need to do this ourselves
-    Simulator::Schedule(Seconds(0.0), &Emitter::Initialize, emitter);
+    Simulator::Schedule(Seconds(0), &Emitter::Initialize, emitter);
 
-    Simulator::Stop(Seconds(100.0));
+    Simulator::Stop(Seconds(100));
     Simulator::Run();
     Simulator::Destroy();
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/stats/examples/time-probe-example.cc ns-3.44/src/stats/examples/time-probe-example.cc
--- ns-3.43/src/stats/examples/time-probe-example.cc	2024-10-09 16:41:10.092656600 -0700
+++ ns-3.44/src/stats/examples/time-probe-example.cc	2025-03-09 16:55:49.699372300 -0700
@@ -43,7 +43,7 @@
   public:
     /**
      * Register this type.
-     * \return The TypeId.
+     * @return The TypeId.
      */
     static TypeId GetTypeId();
     Emitter();
@@ -75,8 +75,8 @@
 }
 
 Emitter::Emitter()
-    : m_interval(Seconds(0)),
-      m_last(Seconds(0))
+    : m_interval(),
+      m_last()
 {
     m_var = CreateObject<ExponentialRandomVariable>();
 }
@@ -234,7 +234,7 @@
 
     // The Emitter object is not associated with an ns-3 node, so
     // it won't get started automatically, so we need to do this ourselves
-    Simulator::Schedule(Seconds(0.0), &Emitter::Initialize, emitter);
+    Simulator::Schedule(Seconds(0), &Emitter::Initialize, emitter);
 
     Simulator::Stop(Seconds(stopTime));
     Simulator::Run();
